EXECUTE (CREATE TABLE FINANCIAL_INSTRUMENT_CHNG (
     FINANCIAL_INSTRUMENT_RK NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     IN_DEFAULT_FLG       VARCHAR2(1),
     ACCRUED_INTEREST_AMT NUMBER(18,5),
     ACCRUED_BASE_INTEREST_AMT NUMBER(18,5),
     PRINCIPAL_BALANCE_AMT NUMBER(18,5),
     MTM_VALUE_TO_SELL_AMT NUMBER(18,5),
     MTM_VALUE_TO_BUY_AMT NUMBER(18,5),
     EXPECTED_LOSS_PCT    NUMBER(9,4),
     UNDERLYING_CORRELATION_RT NUMBER(9,4),
     SWAP_DELIVERED_CURRENCY_CD VARCHAR2(3),
     SWAP_RECEIVED_CURRENCY_CD VARCHAR2(3),
     SWAP_INFLOW_PERIOD_TO_DATE_AMT NUMBER(18,5),
     SWAP_OUTFLW_PERIOD_TO_DATE_AMT NUMBER(18,5),
     PREM_PAID_PERIOD_TO_DATE_AMT NUMBER(18,5),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
)) BY ORACLE;

