EXECUTE (CREATE TABLE FINANCIAL_INSTRUMENT_CHNG (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10)     NOT NULL,
     VALID_FROM_DTTM      TIMESTAMP     NOT NULL,
     IN_DEFAULT_FLG       CHARACTER(1),
     ACCRUED_INTEREST_AMT NUMERIC(18,5),
     ACCRUED_BASE_INTEREST_AMT NUMERIC(18,5),
     PRINCIPAL_BALANCE_AMT NUMERIC(18,5),
     MTM_VALUE_TO_SELL_AMT NUMERIC(18,5),
     MTM_VALUE_TO_BUY_AMT NUMERIC(18,5),
     EXPECTED_LOSS_PCT    NUMERIC(9,4),
     UNDERLYING_CORRELATION_RT NUMERIC(9,4),
     SWAP_DELIVERED_CURRENCY_CD VARCHAR(3),
     SWAP_RECEIVED_CURRENCY_CD VARCHAR(3),
     SWAP_INFLOW_PERIOD_TO_DATE_AMT NUMERIC(18,5),
     SWAP_OUTFLW_PERIOD_TO_DATE_AMT NUMERIC(18,5),
     PREM_PAID_PERIOD_TO_DATE_AMT NUMERIC(18,5),
     VALID_TO_DTTM        TIMESTAMP     NOT NULL,
     PROCESSED_DTTM       TIMESTAMP     NOT NULL)
     PRIMARY INDEX FINANCIAL_INSTRUMENT_CHNG_PI (FINANCIAL_INSTRUMENT_RK)
) BY TERADATA;

