EXECUTE (CREATE TABLE TRADE (
     TRADE_ID             VARCHAR(32)     NOT NULL,
     TRADE_DESC           VARCHAR(100),
     TRANS_DTTM           TIMESTAMP,
     TRANS_TYPE_CD        VARCHAR(3),
     BUY_SELL_FLG         CHARACTER(1),
     COMMISSION_AMT       NUMERIC(18,5),
     DEAL_ID              VARCHAR(32),
     DUE_BILLS_FLG        CHARACTER(1),
     UNWIND_MAX_LOSS_AMT  NUMERIC(18,5),
     PRINCIPAL_BALANCE_AMT NUMERIC(18,5),
     PREM_PAID_PERIOD_AMT NUMERIC(18,5),
     SWAP_INFLOW_AMT      NUMERIC(18,5),
     SWAP_OUTFLW_AMT      NUMERIC(18,5),
     PROFIT_LOSS_AMT      NUMERIC(18,5),
     CURRENCY_CD          VARCHAR(3),
     TRADE_DERIVATIVE_FLG CHARACTER(1),
     BUY_SELL_UNIT_PRICE_AMT NUMERIC(18,5),
     BUY_SELL_UNIT_QTY    NUMERIC(6),
     FINANCIAL_POSITION_RK NUMERIC(10)     NOT NULL,
     PROCESSED_DTTM       TIMESTAMP)
     PRIMARY INDEX TRADE_PI (TRADE_ID)
) BY TERADATA;

